srcu_notifier_chain_register
Prev | Kernel utility functions | Next

## Name

srcu_notifier_chain_register — Add notifier to an SRCU notifier chain

## Synopsis

`int srcu_notifier_chain_register (` | struct srcu_notifier_head * | nh,
| struct notifier_block * | n`)`;

## Arguments

`nh`

  Pointer to head of the SRCU notifier chain

`n`

  New entry in notifier chain

## Description

Adds a notifier to an SRCU notifier chain. Must be called in process context.

Currently always returns zero.

Prev | Up | Next
__raw_notifier_call_chain | Home | srcu_notifier_chain_unregister